package xunji_service

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xunji_service"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /xunji_service/delete xunji_service DeleteXunjiService
//
// Delete xunji service information | 删除XunjiService信息
//
// Delete xunji service information | 删除XunjiService信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteXunjiServiceHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xunji_service.NewDeleteXunjiServiceLogic(r.Context(), svcCtx)
		resp, err := l.DeleteXunjiService(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
